Skip to main content

Void Tax Calculation


Void Tax Calculation

Use the void tax calculation request to indicate when a previously committed tax transaction either:

  • Was not successfully captured or refunded
  • Was successfully voided

This feature can only be used to void the full original tax service request. It cannot be used to void a single line item.

Contact customer support to have your account enabled to test this feature in the Developer Center.

Tax Detail Report

When you void a tax calculation request, a line item is added to the Tax Detail Report with a Cancelled value in the Status field. The cancelled line item will have a request ID of the original committed transaction in the LinkToRequestID field. Use the value of the LinkToRequestID to identify the original tax amounts that were not successfully debited or credited from a cardholder bank account.

PATCH /vas/v2/tax/{id}

PATCH /vas/v2/tax/{id}

PATCH /vas/v2/tax/{id}


Example: Processing a Tax Void

Replace the {id} in the endpoint with the id returned in the Committed Tax Calculation Response.

{  "clientReferenceInformation": {    "code": "TAX_TC001"  }}
{  "clientReferenceInformation": {    "code": "TAX_TC001"  },  "id": "6679355473836204603955",  "status": "VOIDED",  "submitTimeUtc": "2022-11-08T19:25:47Z",  "voidAmountDetails": {    "currency": "USD",    "voidAmount": "-103.5"  }}

Required Field

Use this field to perform a tax void.

clientReferenceInformation.code

Merchant-generated order reference or tracking number.

Last published: September 29, 2026